<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        var name = "lisi"
        name += 10;
        var type =new String(typeof(name))
        if(type.length === 6){
            type.text = "string"
        }
        console.log(type.text);
    </script>
</body>
</html>